# DVB Network API

The DVB net device enables feeding of MPE (multi protocol encapsulation) packets received via DVB into the Linux network protocol stack, e.g. for internet via satellite applications. It can be accessed through /dev/dvb/adapter0/net0. Data types and and ioctl definitions can be accessed by including linux/dvb/net.h in your application.

# DVB Net Data Types

## struct dvb_net_if

    struct dvb_net_if {
    	__u16 pid;
    	__u16 if_num;
    	__u8  feedtype;
    #define DVB_NET_FEEDTYPE_MPE 0	/⋆ multi protocol encapsulation ⋆/
    #define DVB_NET_FEEDTYPE_ULE 1	/⋆ ultra lightweight encapsulation ⋆/
    };

# DVB net Function Calls

To be written…

## NET_ADD_IF

DESCRIPTION

This ioctl is undocumented. Documentation is welcome.

SYNOPSIS

int ioctl(fd, int request = NET_ADD_IF, struct dvb_net_if *if);

PARAMETERS

int fd | File descriptor returned by a previous call to open().
int request | Equals NET_ADD_IF for this command.
struct dvb_net_if *if | Undocumented.

&return-value-dvb;

## NET_REMOVE_IF

DESCRIPTION

This ioctl is undocumented. Documentation is welcome.

SYNOPSIS

int ioctl(fd, int request = NET_REMOVE_IF);

PARAMETERS

int fd | File descriptor returned by a previous call to open().
int request | Equals NET_REMOVE_IF for this command.

&return-value-dvb;

## NET_GET_IF

DESCRIPTION

This ioctl is undocumented. Documentation is welcome.

SYNOPSIS

int ioctl(fd, int request = NET_GET_IF, struct dvb_net_if *if);

PARAMETERS

int fd | File descriptor returned by a previous call to open().
int request | Equals NET_GET_IF for this command.
struct dvb_net_if *if | Undocumented.

&return-value-dvb;